[ARM Testing Update] 2020-05-29 - Electron, rpi-eeprom, zstd and kernels

Hello ARM community.

A smaller testing update this time!

NanoPC-T4
We now started supporting the NanoPC T4 board!


Some highlights:

  • Most of our kernels got updated
  • Electron updated to 9.0.0 and renamed from electron-aarch64-bin to electron
  • The new rpi-eeprom should now make the rpi4 able to boot from USB, without needing an SD card
  • Added packages to support the NanoPC T4 board
  • zstd updated to 1.4.5, which has great performance increase on ARM architectures
  • Lots of python packages got updated

Upstream Notifications:

Older notifications

The nss package requires manual intervention:
https://www.archlinux.org/news/nss3511-1-and-lib32-nss3511-1-updates-require-manual-intervention/
The packages hplip and firewalld requires manual intervention:
https://www.archlinux.org/news/hplip-3203-2-update-requires-manual-intervention/
https://www.archlinux.org/news/firewalld081-2-update-requires-manual-intervention/


Package Changes (Fri May 29 07:42:04 CEST 2020)

  • arm-testing community aarch64: 340 new and 333 removed package(s)
  • arm-testing core aarch64: 25 new and 22 removed package(s)
  • arm-testing extra aarch64: 40 new and 34 removed package(s)
:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-24         2020-05-29
-------------------------------------------------------------------------------
                    desq-session-git        r20.967076c-2        r22.8f8cbab-1
                electron-aarch64-bin              8.3.0-1                    -
                           feedbackd  0.0.0+git20200420-1  0.0.0+git20200527-1
                           index-git       r437.4f135ff-1       r442.a2b62d7-1
                                kodi               18.6-1               18.6-2
                            kodi-bin               18.6-1               18.6-2
                            kodi-dev               18.6-1               18.6-2
                   kodi-eventclients               18.6-1               18.6-2
            kodi-tools-texturepacker               18.6-1               18.6-2
                              mntray              1.1.1-2              1.1.1-3
                          oyster-git         r5.cd87f9f-1         r7.1418f70-1
                          rpi-eeprom         2020.05.15-2         2020.05.27-1
                   desq-settings-git                    -         r5.e4aff68-1
                            electron                    -              9.0.0-1
                            kalk-git                    -       r172.e9b1471-1
                        kweather-git                    -       r182.8d20b37-1
              nanopc-t4-post-install                    -           20200526-1


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-24         2020-05-29
-------------------------------------------------------------------------------
                       acme-redirect              0.3.0-1              0.4.0-1
                            adriconf              1.6.1-1                1.7-1
                             alltray         0.7.5.1dev-4         0.7.5.1dev-5
                             ansible              2.9.9-1              2.9.9-2
                      arch-wiki-docs           20190826-1           20200527-1
                     archlinux-repro           20200507-1           20200527-1
                              ardour              5.12-14                6.0-2
                     arduino-builder              1.5.2-2              1.5.3-1
                                ario                1.6-1                1.6-2
                            asciidoc             8.6.10-1             8.6.10-2
                           aspell-pt           20161001-1           20161001-2
                            audacity            1:2.4.1-3            1:2.4.1-4
                             aws-cli            1.18.60-1            1.18.67-1
                            bashburn              3.1.0-4              3.1.0-5
                              bchunk              1.2.2-4              1.2.2-5
                           blueberry              1.3.5-1              1.3.8-1
                             blueman              2.1.2-1              2.1.3-1
                         blur-effect              1.1.3-1              1.1.3-2
                                bmon                4.0-3                4.0-4
                            boinctui              2.5.0-1              2.5.0-2
                            brotli06              0.6.0-1              0.6.0-2
                   brotli06-testdata              0.6.0-1              0.6.0-2
                              bshapr                0.8-2                0.9-1
                                btfs               2.20-3               2.21-1
                               buddy                2.4-4                2.4-5
                               bully    1.1.12.g04185d7-1    1.1.12.g04185d7-2
                             calibre             4.16.0-1             4.17.0-1
                      calibre-common             4.16.0-1             4.17.0-1
                     calibre-python3             4.16.0-1             4.17.0-1
                           catatonit              0.1.5-1              0.1.5-2
                           celluloid               0.18-1               0.19-1
                            checksec              2.1.0-1              2.1.0-2
                            colorgcc              1.4.5-1              1.4.5-2
                            cpulimit              1:0.2-1              1:0.2-2
                                croc             8.0.10-1             8.0.11-1
                              cutter               1.04-2               1.04-3
                              danmaq              0.2.3-1              0.2.3-2
                             dbxtool                  7-1                  8-1
                           dd_rescue             1.99.8-1             1.99.8-2
                           devilspie               0.23-2               0.23-3
                                 din               46.3-1                 47-1
                              drupal              8.8.5-1              8.8.6-1
                                 dub             1.20.1-1             1.21.0-1
                               dzen2   0.9.5.14.488ab66-1   0.9.5.14.488ab66-2
                   emacs-python-mode              6.2.3-1              6.2.3-2
                          emscripten            1.39.11-1            1.39.16-1
                               eolie           0.9.98.1-1             0.9.99-1
                              epydoc              3.0.1-4              3.0.1-5
                         fcitx-anthy              0.2.3-1              0.2.3-2
                    fcitx-configtool             0.4.10-3             0.4.10-4
                        fcitx-hangul              0.3.1-2              0.3.1-3
                           fcitx-kkc              0.1.4-1              0.1.4-2
                     fcitx-libpinyin              0.5.3-2              0.5.3-3
                          fcitx-m17n              0.2.4-1              0.2.4-2
                        fcitx-sayura              0.1.2-1              0.1.2-2
                           fcitx-skk              0.1.4-1              0.1.4-2
                     fcitx-sunpinyin              0.4.2-1              0.4.2-2
                   fcitx-table-extra              0.3.8-1              0.3.8-2
                   fcitx-table-other              0.2.4-1              0.2.4-2
                        fcitx-unikey              0.2.7-2              0.2.7-3
                              fcitx5     0.0.0.20200522-1     0.0.0.20200528-1
                        fcitx5-anthy     0.0.0.20200520-1     0.0.0.20200527-1
               fcitx5-chinese-addons     0.0.0.20200520-1     0.0.0.20200528-1
                          fcitx5-gtk     0.0.0.20200514-1     0.0.0.20200526-1
                           fcitx5-qt     0.0.0.20200516-1     0.0.0.20200527-1
                       fcitx5-unikey     0.0.0.20200522-1     0.0.0.20200527-1
                                  fd              8.1.0-1              8.1.1-1
                          feedreader             2.10.0-3             2.11.0-1
                             fig2dev              3.2.7-1            3.2.7.b-1
                 firefox-dark-reader              4.9.8-1              4.9.9-1
               firefox-ublock-origin             1.27.6-1             1.27.8-1
               freepats-general-midi           20200518-1           20200523-1
                                gavl              1.4.0-3              1.4.0-4
                               gephi              0.9.2-1              0.9.2-2
                    gimp-plugin-gmic             2.9.0-10             2.9.0-11
                                glyr             1.0.10-1             1.0.10-2
                                gmic             2.9.0-10             2.9.0-11
                                gmtk              1.0.9-5              1.0.9-6
                       gnome-applets             3.36.0-1             3.36.4-1
                         gnome-boxes             3.36.0-1             3.36.4-1
                     gnome-flashback 3.35.2+25+g2553c69-1             3.36.3-1
                         gnome-games             3.36.0-1             3.36.1-1
             gnome-icon-theme-extras             3.12.0-4             3.12.0-5
                 gnome-initial-setup             3.36.1-1             3.36.2-1
                         gnome-latex             3.32.0-1             3.36.0-1
                         gnome-panel             3.36.0-1             3.36.1-1
                             gpodder            3.10.13-1            3.10.15-1
                            gpsprune               19.2-1                 20-1
                              gpxsee               7.25-1               7.29-1
                              grsync              1.2.6-4              1.2.8-1
                           gscan2pdf              2.6.6-1              2.6.7-1
                               gsoap            2.8.102-1            2.8.103-1
                         gstreamermm             1.10.0-1             1.10.0-2
                    gstreamermm-docs             1.10.0-1             1.10.0-2
                  gtk-engine-murrine             0.98.2-3             0.98.2-4
                          gtk2+extra              3.3.4-1              3.3.4-2
                            guitarix             0.39.0-3             0.40.0-1
                               hepmc            2.06.09-5            2.06.10-7
                               horst                5.1-1                5.1-2
                                hugo             0.71.0-1             0.71.1-1
                               hyena                0.5-5                0.5-6
                           hyperfine              1.9.0-2             1.10.0-2
                            ibus-skk              1.4.3-1              1.4.3-2
                           igmpproxy              0.2.1-1              0.2.1-2
                              incron             0.5.12-3             0.5.12-4
                              jgmenu              4.2.0-1              4.2.1-1
                                 k9s             0.19.6-1             0.19.7-1
                           kcm-fcitx              0.5.5-2              0.5.5-3
                          kcm-fcitx5     0.0.0.20200522-1     0.0.0.20200528-1
                            kio-fuse             4.90.0-1             4.95.0-1
                                knot              2.9.4-1              2.9.5-1
                   krita-plugin-gmic             2.9.0-10             2.9.0-11
               kvantum-theme-materia           20200312-1           20200523-1
                       libafterimage               1.20-3               1.20-4
                         libcoverart              1.0.0-4              1.0.0-5
                        libcrossguid            1:0.2.2-1            1:0.2.2-2
                           libfreexl              1.0.5-1              1.0.5-2
                            libgdamm            4.99.11-1            4.99.11-2
                       libgdamm-docs            4.99.11-1            4.99.11-2
                            libident               0.32-7               0.32-8
                              libime     0.0.0.20200513-1     0.0.0.20200528-1
                         libinfinity              0.7.1-1              0.7.1-2
                      libjpeg6-turbo              1.5.3-1              1.5.3-2
                          libmanette              0.2.3-1              0.2.4-1
                            libmpack              1.0.5-2              1.0.5-3
                             libnids               1.24-4               1.24-5
              libperconaserverclient           8.0.18_9-3          8.0.19_10-1
                            libpng12             1.2.59-1             1.2.59-2
                            libressl              3.1.1-1              3.1.2-1
                             librime            1:1.5.3-8            1:1.5.3-9
                            libtecla              1.6.3-1              1.6.3-2
                             libuecc                  7-2                  7-3
                      libvdpau-va-gl              0.4.2-2              0.4.2-3
                       libwebsockets              4.0.1-1             4.0.13-1
                              libzdb              3.2.1-1              3.2.2-1
                                lxdm              0.5.3-6              0.5.3-7
                           lxdm-gtk3              0.5.3-6              0.5.3-7
                          lxlauncher              0.2.5-3              0.2.5-4
                     lxlauncher-gtk3              0.2.5-3              0.2.5-4
                                 mac               4.71-1               5.38-1
                             mailnag  1.3.0+49+g1ec3bc9-1              2.0.0-1
                 mailnag-gnome-shell             3.34.0-1             3.36.0-1
                  mailnag-goa-plugin   1.2.0+3+ga8ccbe7-1              2.0.0-1
                              mairix               0.24-1               0.24-2
              mate-icon-theme-faenza             1.20.0-1             1.20.0-2
                         materia-kde           20200312-1           20200523-1
                      matrix-synapse             1.12.4-1             1.13.0-1
                        matterbridge             1.17.4-1             1.17.5-1
                          menu-cache              1.1.0-1              1.1.0-2
                           metapixel              1.0.2-9             1.0.2-10
                             minieap             0.92.1-2             0.92.1-3
                            minisign                0.8-1                0.8-2
                              minted                2.5-2                2.5-3
                            molecule              3.0.4-2              3.0.4-3
                             mp3info             0.8.5a-7             0.8.5a-8
                             mypaint             1.2.1-12              2.0.0-1
                  nextcloud-app-news             14.1.8-1            14.1.11-1
                 nextcloud-app-notes              3.3.0-1              3.3.1-1
                               ngrep               1.47-1               1.47-2
                                 nnn                3.1-1                3.2-1
                   nodejs-lts-erbium            12.16.3-1            12.17.0-1
                                nodm               0.13-2               0.13-3
                             openbox              3.6.1-6              3.6.1-7
                              opencc              1.1.0-1              1.1.1-2
                          opencc-doc              1.1.0-1              1.1.1-2
                            opendkim             2.10.3-6             2.10.3-7
                            ophcrack              3.8.0-1              3.8.0-2
                             optipng              0.7.7-1              0.7.7-2
                           osinfo-db           20200214-1           20200515-1
                                osmo              0.4.2-3              0.4.2-4
                           pacparser           1.3.7rc6-1           1.3.7rc6-2
                          pdfmixtool                0.5-2                0.6-1
                               pdnsd           1.2.9.a-13           1.2.9.a-14
                        pekwm-themes              1.0.5-4              1.0.5-5
                              percol              0.2.1-2              0.2.1-3
                      percona-server           8.0.18_9-3          8.0.19_10-1
              percona-server-clients           8.0.18_9-3          8.0.19_10-1
                  perl-array-compare              3.0.1-1              3.0.2-1
                 perl-class-accessor               0.51-1               0.51-2
                 perl-config-general               2.63-3               2.63-4
                    perl-devel-cycle               1.12-2               1.12-3
                     perl-email-mime              1.946-2              1.946-3
         perl-email-mime-contenttype              1.022-1              1.022-2
                   perl-email-simple              2.214-1              2.214-2
                     perl-goocanvas2               0.06-1               0.06-2
                perl-gtk3-simplelist               0.17-2               0.18-1
                           perl-json            2.97001-1            2.97001-2
                  perl-mediawiki-api               0.41-3               0.41-4
               perl-parse-recdescent           1.967015-1           1.967015-2
                    perl-set-intspan               1.19-7               1.19-8
              perl-test-memory-cycle               1.06-1               1.06-2
                      perl-text-diff               1.45-1               1.45-2
                  perl-tree-dag-node               1.31-1               1.31-2
                       perl-xml-atom               0.42-1               0.42-2
                 perl-xml-sax-writer               0.57-1               0.57-2
                              pflask       0.2.20151217-2                    -
                             pgpdump               0.33-1               0.33-2
                          photoflare              1.6.3-1              1.6.4-1
                             picocom                3.1-1                3.1-2
                                pigz                2.4-1                2.4-2
                           pipesocks                2.3-2                2.3-4
                            pixiewps              1.4.2-1              1.4.2-2
                            pngcrush             1.8.13-2             1.8.13-3
                              podman              1.9.2-1              1.9.3-2
                       podman-docker              1.9.2-1              1.9.3-2
                             ponysay              3.0.3-1              3.0.3-2
                       poppler-sharp              0.0.3-4              0.0.3-5
                             puzzles           20200413-1           20200524-1
                  python-argon2_cffi             19.2.0-1             20.1.0-1
                    python-aspectlib              1.4.2-6              1.5.0-1
                    python-biopython               1.76-1               1.77-1
                        python-boto3            1.13.10-1            1.13.17-1
                     python-botocore            1.16.10-1            1.16.17-1
                       python-cftime              1.1.2-1              1.1.3-1
               python-django-allauth             0.41.0-1             0.42.0-1
                python-elasticsearch              7.7.0-1              7.7.1-1
             python-flask-sqlalchemy              2.4.1-1              2.4.2-1
                       python-gevent             20.5.0-1             20.5.1-1
                      python-hacking              3.0.0-2              3.1.0-1
                   python-hypothesis             5.15.1-1             5.16.0-1
                     python-identify             1.4.16-1             1.4.17-1
           python-importlib-metadata              1.5.2-1              1.6.0-1
                    python-ipykernel              5.1.4-1              5.3.0-1
                        python-json5              0.9.4-1              0.9.5-1
                   python-kiwisolver              1.1.0-4              1.2.0-1
              python-language-server             0.32.0-3             0.33.0-1
               python-logilab-common              1.6.3-1              1.6.4-1
                    python-maxminddb              1.5.3-1              1.5.4-1
                     python-numpydoc              0.9.2-1              1.0.0-1
                          python-pbr              5.4.4-2              5.4.5-1
                     python-pdfminer           20200402-1           20200517-1
                python-podcastparser              0.6.4-4              0.6.5-1
                  python-pysol_cards              0.8.9-1             0.8.16-1
              python-pytest-randomly              3.3.1-1              3.4.0-1
              python-requirementslib              1.5.5-1              1.5.9-1
                       python-sphinx              3.0.3-1              3.0.4-1
                        python-sympy              1.5.1-1                1.6-1
                    python-uhashring                1.1-4                1.2-1
                   python-validators             0.14.2-1             0.15.0-1
                       python-xxhash              1.4.3-2              1.4.3-4
                        python2-docs             2.7.15-1             2.7.16-1
                      python2-gevent             20.5.0-1             20.5.1-1
          python2-importlib-metadata              1.5.2-1              1.6.0-1
                   python2-pacparser           1.3.7rc6-1                    -
                         python2-pbr              5.4.4-2              5.4.5-1
                                qgis             3.12.1-1             3.12.3-1
                           qstardict                1.3-1                1.3-2
                    qt5-styleplugins    5.0.0.20170311-20                    -
                             qtspell              0.8.5-3              0.9.0-1
                            quiterss             0.19.3-1             0.19.4-1
                            qwtpolar              1.1.1-4              1.1.1-5
                            radicale              3.0.1-1              3.0.2-1
                               ragel               6.10-2               6.10-3
                              recoll             1.26.7-1             1.27.0-1
                             redmine              4.1.0-2              4.1.1-1
                             remmina            1:1.4.4-1            1:1.4.5-1
                            restinio              0.6.7-1              0.6.8-1
                            rkhunter              1.4.6-1              1.4.6-2
                              rkward              0.7.1-1            0.7.1.b-1
                            rssguard              3.5.9-1              3.6.2-1
                rssguard-nowebengine              3.5.9-1              3.6.2-1
                  ruby-public_suffix              4.0.3-1              4.0.5-1
            ruby-puppet-resource_api             1.8.12-1             1.8.13-1
                       rust-analyzer           20200518-1           20200525-1
                        rust-bindgen             0.53.2-1             0.53.3-1
                          sasteroids              3.0.1-7              3.0.1-8
                           seamonkey             2.49.4-5             2.53.2-1
                     shadowsocks-qt5              3.0.1-1              3.0.1-2
                             shntool             3.0.10-5             3.0.10-6
                         simple-obfs              0.0.5-2              0.0.5-3
                       snappy-player                1.0-5                1.0-6
                                 snd               20.3-1               20.4-1
                                solr              8.5.1-1              8.5.2-1
                               sopel              7.0.3-1              7.0.4-1
                           spice-gtk               0.37-1               0.38-1
                              splint  3.1.2.git20180129-1  3.1.2.git20180129-2
                      squashfs-tools                4.4-1                4.4-2
                      subtitleeditor             0.54.0-4             0.54.0-5
                               sugar              0.116-1              0.117-1
                  sugar-activity-log                 41-2                 42-1
                       sugar-artwork              0.116-1              0.117-1
                     sugar-datastore              0.116-1              0.117-1
                  sugar-toolkit-gtk3 0.116+16+g72d36cc9-1              0.117-1
                             surfraw              2.3.0-2              2.3.0-3
                        systemd-swap              4.0.1-1              4.0.1-2
                             t1utils               1.41-2               1.41-3
                    telegram-desktop              2.1.6-1              2.1.7-1
                            three.js               r116-1               r117-1
                               tiled              1.3.4-1              1.3.5-1
                             tinyxml              2.6.2-6              2.6.2-7
                                 tor            0.4.3.5-1            0.4.3.5-2
                          ttf-roboto              2.138-2              2.138-3
                              udevil              0.4.4-3              0.4.4-4
                           uglify-js              3.9.3-1              3.9.4-1
                             unpaper                6.1-6                6.1-7
                          unrealircd            5.0.3.1-1              5.0.5-1
                              unuran              1.8.1-3              1.8.1-5
                             usbview                2.0-5                2.0-6
                             utf8cpp                3.1-1              3.1.1-1
         v2ray-domain-list-community       202005230831-1       202005271609-1
                         v2ray-geoip       202005200002-1       202005270003-1
          vapoursynth-plugin-deblock                  6-1                  6-2
                            vbindiff          3.0_beta5-1          3.0_beta5-2
                           verilator              4.032-1              4.034-1
                     vim-bufexplorer             7.4.19-1             7.4.19-2
                vim-colorsamplerpack         2012.10.28-5         2012.10.28-6
                      vim-easymotion              3.0.1-4              3.0.1-5
                        vim-nerdtree              6.7.4-1              6.7.7-1
                        vim-surround                2.1-3                2.1-4
                            workrave            1.10.34-1            1.10.44-1
                 xcursor-vanilla-dmz              0.4.5-1              0.4.5-2
              xcursor-vanilla-dmz-aa              0.4.5-1              0.4.5-2
                             yoshimi              1.7.1-1              1.7.1-2
                                  yq             2.10.0-1             2.10.1-1
                                zart             2.9.0-10             2.9.0-11
                          zathura-cb              0.1.8-1              0.1.8-2
                          zathura-ps              0.2.6-1              0.2.6-2
                                zint              2.7.1-1              2.8.0-1
                             zint-qt              2.7.1-1              2.8.0-1
             zsh-theme-powerlevel10k              1.8.0-1             1.10.1-3
                                zzuf               0.15-2               0.15-3
                 digikam-plugin-gmic                    -             2.9.0-11
                         python-cppy                    -              1.1.0-1
                     python-occ-core                    -              7.4.0-1
                  python-pytest-mypy                    -              0.6.2-1
                        python-typer                    -              0.2.1-1
                   v4l2loopback-dkms                    -             0.12.5-1


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-24         2020-05-29
-------------------------------------------------------------------------------
                       linux-aarch64             5.6.14-1             5.6.15-1
               linux-aarch64-headers             5.6.14-1             5.6.15-1
                    linux-aarch64-rc            5.7.rc6-2            5.7.rc7-5
            linux-aarch64-rc-headers            5.7.rc6-2            5.7.rc7-5
                 linux-rpi4-mainline             5.6.14-1             5.6.14-2
         linux-rpi4-mainline-headers             5.6.14-1             5.6.14-2
                     linux-rpi4-next             5.4.42-1             5.4.42-2
             linux-rpi4-next-headers             5.4.42-1             5.4.42-2
              raspberrypi-bootloader           20200521-1           20200527-1
            raspberrypi-bootloader-x           20200521-1           20200527-1
                       linux-rpi4-rc                    -            5.7.rc6-2
               linux-rpi4-rc-headers                    -            5.7.rc6-2
                     uboot-nanopc-t4                    -            2020.04-1


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-24         2020-05-29
-------------------------------------------------------------------------------
                                bash            5.0.016-1            5.0.017-1
                               gnupg             2.2.20-1             2.2.20-2
                              libcap               2.33-1               2.34-1
                                nano              4.9.2-1              4.9.3-1
                             openssh              8.2p1-3              8.3p1-1
                             openssl            1.1.1.g-1            1.1.1.g-2
                           procps-ng             3.3.16-1             3.3.16-2
                              sqlite             3.31.1-1             3.32.1-1
                     sqlite-analyzer             3.31.1-1             3.32.1-1
                          sqlite-doc             3.31.1-1             3.32.1-1
                          sqlite-tcl             3.31.1-1             3.32.1-1
                                zstd              1.4.4-1              1.4.5-1


:: Different overlay package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-24         2020-05-29
-------------------------------------------------------------------------------
                            mesa-git20.2.0_devel.123970.989619c05b9-120.2.0_devel.124253.a5a413e19a8-1
                         kscreen-git                    -      r1263.d9e2447-1
                   kscreenlocker-git                    -       r776.115a5c2-1
                 kwayland-server-git                    -      r1016.e27405c-1
                            kwin-git                    -   r17973.b77d29119-1
                      libkscreen-git                    -      r1524.9da1c6a-1


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-05-24         2020-05-29
-------------------------------------------------------------------------------
                         389-ds-base            1.4.4.2-3            1.4.4.2-5
                        alertmanager             0.20.0-2             0.20.0-3
                            cppcodec                0.2-2                0.2-3
                               dav1d              0.6.0-1              0.7.0-1
                                dkms              2.8.1-2              2.8.1-3
                             enchant              2.2.8-1              2.2.8-3
                              ffmpeg            1:4.2.2-8            1:4.2.3-2
                          fluidsynth              2.1.2-1              2.1.3-1
                      geoip-database           20200507-2           20200519-1
                geoip-database-extra           20200507-2           20200519-1
                               gl2ps              1.4.2-1              1.4.2-2
                        gnu-efi-libs             3.0.11-2                    -
                     grml-zsh-config             0.16.2-1             0.17.0-1
                            inkscape                1.0-3                1.0-4
                        jdk8-openjdk           8.u242-1.1             8.u252-1
                        jre8-openjdk           8.u242-1.1             8.u252-1
               jre8-openjdk-headless           8.u242-1.1             8.u252-1
                              libdrm            2.4.101-1            2.4.102-1
                        libinstpatch              1.1.4-1              1.1.5-1
                                mutt             1.14.1-1             1.14.2-1
                        openjdk8-src           8.u242-1.1             8.u252-1
                        perl-net-dns               1.23-1               1.24-1
                             pkgfile                 21-1                 21-2
              plasma-wayland-session             5.18.5-2             5.18.5-3
                    plasma-workspace             5.18.5-2             5.18.5-3
                          prometheus             2.18.1-1             2.18.1-2
        prometheus-blackbox-exporter             0.16.0-3             0.16.0-4
            prometheus-node-exporter             0.18.1-5             0.18.1-6
                          python-six             1.14.0-1             1.15.0-1
                         python2-six             1.14.0-1             1.15.0-1
                              quazip                0.9-1              0.9.1-1
                              thunar             1.8.14-1             1.8.15-1
                             wavpack              5.2.0-2              5.3.0-1
                             gnu-efi                    -             3.0.12-1
                             nuspell                    -              3.1.1-2


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

1 Like

Known Issues and Solutions

This is a wiki post, please edit it when you find a solution to an issue you encountered

Old Issues

Manual interventions:
The nss and zn_poly packages prior to version 3.51.1-1 and version 0.9.2-2 respectively, were missing a soname link each. This has been fixed in 3.51.1-1 and 0.9.2-2 of these packages, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

nss: /usr/lib/p11-kit-trust.so exists in filesystem
zn_poly: /usr/lib/libzn_poly-0.9.so  exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/p11-kit-trust.so --overwrite /usr/lib/libzn_poly-0.9.so

to perform the upgrade.

Device stopped booting after Uboot update
The uboot update included a change to the extlinux.conf file. This change will be incompatible with the old 1 partition layout of some devices.
So if you are updating installs made with images 20.02.1 or older, you need to apply this fix before rebooting!
To fix this please edit your /boot/extlinux/extlinux.conf file and add 2 periods in front of each first slash, like so:

KERNEL ../Image
FDT ../dtbs/ #etc.
APPEND initrd=../initramfs-linux.img #etc.

Save the file and reboot.

Hi,

Nice, a new device, enjoy.

hola

Why don't you update the [Wiki] Contributing to Manjaro-ARM list devices like so :slight_smile:
c4 and nanopc-t4 added

├── devices
│   ├── oc2
│   ├── oc4
│   ├── on2
│   ├── nanopc-t4
│   ├── pbpro
│   ├── pine64
│   ├── pine64-lts
│   ├── pinebook
│   ├── pinephone
│   ├── pinetab
│   ├── rock64
│   ├── rockpi4
│   ├── rockpro64
│   ├── rpi3
│   ├── rpi3-fta
│   ├── rpi4
│   ├── vim1
│   ├── vim2
│   └── vim3

The odroid c4 is up to date, yeh !

before the update

[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.7.0-rc6-2-MANJARO-ARM #1 SMP Thu May 21 08:01:55 CEST 2020 aarch64 GNU/Linux
[nlc4@c4 ~]$ uptime
 15:26:36 up 3 days, 22:32,  3 users,  load average: 0,97, 0,90, 0,61
[nlc4@c4 ~]$ date -u
ven. 29 mai 2020 13:22:06 UTC
[nlc4@c4 ~]$ pacman-mirrors --get-branch
arm-testing
[nlc4@c4 ~]$ sudo pacman -Syyuu
[sudo] password for nlc4: 
:: Synchronising package databases...
 core                                                             221,7 KiB   452 KiB/s 00:00 [#######################################################] 100%
 extra                                                              2,3 MiB  1547 KiB/s 00:02 [#######################################################] 100%
 community                                                          5,0 MiB  1305 KiB/s 00:04 [#######################################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (20) bash-5.0.017-1  bmon-4.0-4  dav1d-0.7.0-1  ffmpeg-1:4.2.3-2  firefox-ublock-origin-1.27.8-1  geoip-database-20200519-1  gnupg-2.2.20-2
              libcap-2.34-1  libdrm-2.4.102-1  linux-aarch64-rc-5.7.rc7-5  mntray-1.1.1-3  nano-4.9.3-1  openssh-8.3p1-1  openssl-1.1.1.g-2  pacman-5.2.1-5
              plasma-workspace-5.18.5-3  procps-ng-3.3.16-2  python-six-1.15.0-1  sqlite-3.32.1-1  zstd-1.4.5-1

Total Download Size:   105,25 MiB
Total Installed Size:  244,38 MiB
Net Upgrade Size:        0,68 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 bash-5.0.017-1-aarch64                                          1523,7 KiB  1280 KiB/s 00:01 [#######################################################] 100%
 libcap-2.34-1-aarch64                                             56,5 KiB  5,52 MiB/s 00:00 [#######################################################] 100%
 openssl-1.1.1.g-2-aarch64                                          3,3 MiB  1277 KiB/s 00:03 [#######################################################] 100%
 zstd-1.4.5-1-aarch64                                             575,8 KiB  1066 KiB/s 00:01 [#######################################################] 100%
 sqlite-3.32.1-1-aarch64                                         1401,6 KiB   844 KiB/s 00:02 [#######################################################] 100%
 gnupg-2.2.20-2-aarch64                                             2,1 MiB   709 KiB/s 00:03 [#######################################################] 100%
 linux-aarch64-rc-5.7.rc7-5-aarch64                                71,9 MiB  2,13 MiB/s 00:34 [#######################################################] 100%
 nano-4.9.3-1-aarch64                                             487,2 KiB  1572 KiB/s 00:00 [#######################################################] 100%
 openssh-8.3p1-1-aarch64                                          827,6 KiB  1293 KiB/s 00:01 [#######################################################] 100%
 pacman-5.2.1-5-aarch64                                           766,8 KiB   983 KiB/s 00:01 [#######################################################] 100%
 procps-ng-3.3.16-2-aarch64                                       342,4 KiB   878 KiB/s 00:00 [#######################################################] 100%
 dav1d-0.7.0-1-aarch64                                            272,5 KiB  1009 KiB/s 00:00 [#######################################################] 100%
 libdrm-2.4.102-1-aarch64                                         205,4 KiB  1369 KiB/s 00:00 [#######################################################] 100%
 ffmpeg-1:4.2.3-2-aarch64                                           8,3 MiB  1048 KiB/s 00:08 [#######################################################] 100%
 geoip-database-20200519-1-any                                    954,7 KiB  1085 KiB/s 00:01 [#######################################################] 100%
 python-six-1.15.0-1-any                                           21,0 KiB  2,05 MiB/s 00:00 [#######################################################] 100%
 plasma-workspace-5.18.5-3-aarch64                                  7,0 MiB  1097 KiB/s 00:07 [#######################################################] 100%
 bmon-4.0-4-aarch64                                                43,6 KiB  4,26 MiB/s 00:00 [#######################################################] 100%
 firefox-ublock-origin-1.27.8-1-any                                 2,8 MiB  1040 KiB/s 00:03 [#######################################################] 100%
 mntray-1.1.1-3-aarch64                                             2,5 MiB   976 KiB/s 00:03 [#######################################################] 100%
(20/20) checking keys in keyring                                                              [#######################################################] 100%
(20/20) checking package integrity                                                            [#######################################################] 100%
(20/20) loading package files                                                                 [#######################################################] 100%
(20/20) checking for file conflicts                                                           [#######################################################] 100%
(20/20) checking available disk space                                                         [#######################################################] 100%
:: Processing package changes...
( 1/20) upgrading bash                                                                        [#######################################################] 100%
( 2/20) upgrading bmon                                                                        [#######################################################] 100%
( 3/20) upgrading dav1d                                                                       [#######################################################] 100%
( 4/20) upgrading libdrm                                                                      [#######################################################] 100%
( 5/20) upgrading libcap                                                                      [#######################################################] 100%
( 6/20) upgrading openssl                                                                     [#######################################################] 100%
( 7/20) upgrading zstd                                                                        [#######################################################] 100%
( 8/20) upgrading ffmpeg                                                                      [#######################################################] 100%
( 9/20) upgrading firefox-ublock-origin                                                       [#######################################################] 100%
(10/20) upgrading geoip-database                                                              [#######################################################] 100%
(11/20) upgrading sqlite                                                                      [#######################################################] 100%
(12/20) upgrading gnupg                                                                       [#######################################################] 100%
(13/20) upgrading linux-aarch64-rc                                                            [#######################################################] 100%
(14/20) upgrading mntray                                                                      [#######################################################] 100%
(15/20) upgrading nano                                                                        [#######################################################] 100%
(16/20) upgrading openssh                                                                     [#######################################################] 100%
(17/20) upgrading python-six                                                                  [#######################################################] 100%
(18/20) upgrading pacman                                                                      [#######################################################] 100%
(19/20) upgrading plasma-workspace                                                            [#######################################################] 100%
(20/20) upgrading procps-ng                                                                   [#######################################################] 100%
:: Running post-transaction hooks...
( 1/10) Reloading system manager configuration...
( 2/10) Creating temporary files...
( 3/10) Arming ConditionNeedsUpdate...
( 4/10) Updating module dependencies...
( 5/10) Updating linux-aarch64-rc module dependencies...
( 6/10) Updating linux-aarch64-rc initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-aarch64-rc.preset: 'default'
  -> -k 5.7.0-rc7-5-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 5.7.0-rc7-5-MANJARO-ARM
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
( 7/10) Updating uimg initcpios...
Image Name:   Ramdisk Image
Created:      Fri May 29 15:28:06 2020
Image Type:   AArch64 Linux RAMDisk Image (uncompressed)
Data Size:    7846346 Bytes = 7662.45 KiB = 7.48 MiB
Load Address: 00000000
Entry Point:  00000000
( 8/10) Updating icon theme caches...
( 9/10) Updating the info directory file...
(10/10) Updating the desktop file MIME type cache...
[nlc4@c4 ~]$ reboot

after the update

[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.7.0-rc7-5-MANJARO-ARM #1 SMP Fri May 29 00:03:11 CEST 2020 aarch64 GNU/Linux
[nlc4@c4 ~]$ uptime
 15:33:02 up 1 min,  2 users,  load average: 0,53, 0,24, 0,09
[nlc4@c4 ~]$ date -u
ven. 29 mai 2020 13:33:16 UTC
[nlc4@c4 ~]$ pacman-mirrors --get-branch
arm-testing
[nlc4@c4 ~]$ sudo pacman -Syyuu
[sudo] password for nlc4: 
:: Synchronising package databases...
 core                                                             221,7 KiB   452 KiB/s 00:00 [#######################################################] 100%
 extra                                                              2,3 MiB  1950 KiB/s 00:01 [#######################################################] 100%
 community                                                          5,0 MiB  1809 KiB/s 00:03 [#######################################################] 100%
:: Starting full system upgrade...
 there is nothing to do
[nlc4@c4 ~]$ 

Done. PS: It's a wiki topic. :slight_smile:

1 Like

mesa-git contains a commit (794c239a990) that can cause freezing in low memory situations with Panfrost.

The issue is still being investigated, but just reverting the commit should work until there is a real fix.

If the issue has been reported upstream, surely upstream has fixed it in git master, no?

Please add Khadas Edge-V to the list

Thanks.

It's not in the profiles, so no, it should not be in the list. :slight_smile:

1 Like

Ah my bad, Maybe I forgot to push it to the profile :frowning:

I will do it tonight hopefully.

Thanks.

2 Likes

Question:

Wouldn't a user still need to edit /etc/default/rpi-eeprom-update and change the firmware channel to beta? Nice to see userland and eeprom are no longer coming from the AUR. I'm not planning on attempting to to MSD booting until my 8GB Pi arrives....

I suppose my next question along that line would be asking about the upgrading the kernel. Didn't the upgrading the kernel also rewrite /boot/cmdline.txt? Ah... can't wait till my new Pi arrives to find out, it almost feels like Christmas Eve-Eve.

1 Like

Yes. I think the update is still in the beta channel. But this should only have to be done once, then the firmware in the Pi can read from USB.

1 Like

If your question is after you get MSD boot working when upgrading a kernel is yes as the kernel is configured to boot on a sdcard. It should save your old /boot/cmdline.txt as /boot/cmdline.txt.pacsave. So it is a must after going through a kernel upgrade with using MSD boot to put your /boot/cmdline.txt back in order with the root= or it will not boot. Also the same goes if you have any local changes in /boot config.txt.

@Strit is correct on the initial setting of the channel to beta /etc/default/rpi-eeprom-update. It will stay there for future eeprom upgrades also; but at some point when it gets out of the beta stage then it will probably need to be moved back to where it was.

My pi 8G is supposed to be here tomorrow.

Might w

Any chance this behavior will change? I'm thinking to something like root=LABEL=BOOT_MNJRO I think that is how Ubuntu does it for the Pi if I'm not mistaken... or was that what Rasbian did?

Been working every day since the 8 launched and haven't been staying on top of my package tracking. Mine was supposed to arrive today but it hasn't shipped. I might venture out to the local store for pick up. We will see.

I think maybe you mis-typed. Should be:

root=LABEL=ROOT_MNJRO

This is of course if the root label actually exist, depending on how you created the 2 partitions on the usb drive.

There are different ways to designate the root partition and with each there can be issues as with duplication of root=(LABEL, PARTUUID, or UUID)=???????. Just make sure the root partition has a unique identifier. Can even use root=/dev/sda2 but can be problematic if another usb drive is plugged in on boot and the usb drive you want to boot swaps to say /dev/sdb2.

Other than above after each kernel upgrade you have to update the /boot/cmdline.txt back to showing the correct root= before rebooting or you will not boot to your MSD.

Yes that was a typo.

I assume most would just blast the download image to a MSD. This would certainly have the ROOT_MNJRO label right as would the SD card. As you mentioned using something like /dev/sda2 can be problematic as is using /dev/mmcblk0p2 which is why I was wondering if the default behavior could be changed away from using the device tree to using labels. In doing so those who boot from the SD card shouldn't seen difference booting and those booting from a MSD would also benefit from not having to change /boot/cmdline.txt after each kernel update.

Essentially what are the pro's to designating the root partition via the device tree opposed to using a label for the Pi images.

Right now at boot the pi finds the boot partition then searches the cmdline.txt to find where to find the root partition as different people have their root partitions in different places. I know of no overlay parameter that could be put in the config.txt to boot a certain root partition. Even if there was one then you would still have to modify it after each kernel upgrade to back like it was before or it would not boot. So back to modifying before rebooting.

One could build kernels for each scenario but I am not going to do that; would be spending way too much time building kernels. There is so much time in the day for me to balance my personal life with Manajro-ARM.

I suppose I'm not making myself clear, lets take the linux-rpi4-mainline package.

The package itself contains cmdline.txt which gets written kernel update to /boot/cmdline.txt correct? So my question is this, what is the downside to changing the cmdline.txt file in the package from:

root=/dev/mmcblk0p2 rw rootwait console=ttyAMA0,115200 console=tty1 selinux=0 plymouth.enable=0 smsc95xx.turbo_mode=N dwc_otg.lpm_enable=0 kgdboc=ttyAMA0,115200 elevator=noop snd-bcm2835.enable_compat_alsa=0

to

root=LABEL=ROOT_MNJRO rw rootwait console=ttyAMA0,115200 console=tty1 selinux=0 plymouth.enable=0 smsc95xx.turbo_mode=N dwc_otg.lpm_enable=0 kgdboc=ttyAMA0,115200 elevator=noop snd-bcm2835.enable_compat_alsa=0

Why wouldn't this package level change make sense? I don't see how that would cause require spending time building more kernels, nor do I understand why that would require a non-existing overlay parameter.

The released images use the ROOT_MNJRO label correct? Using the label identifier wouldn't break SD card usage. Also if you use the released images and dd them to a MSD these users wouldn't have modify the file after each kernel update. Finally, anyone uses a different label could also change their label and benefit. Would that not be a win all around?

I hope this makes my thought process clearer.

1 Like

I see now. Your mention of devicetree threw me off.

Good idea and thanks!!!

I will implement this change in all future kernels.

1 Like

I thought I was going crazy for a moment, I couldn't think of what to call the block devices in /dev/ the two things that came to mind was device tree and device mapper.

I have moments like that but I am 70 years old. lol

Forum kindly sponsored by